Skip to main content
POST
/
commerce
/
catalog
/
admin
/
pricelists
/
bulkaddentries
Error
A valid request URL is required to generate request examples
{
  "failureCount": 123,
  "failureDetails": [
    {
      "currencyCode": "<string>",
      "msg": "<string>",
      "priceListCode": "<string>",
      "productCode": "<string>",
      "startDate": "2023-11-07T05:31:56Z"
    }
  ],
  "successCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

publishEvents
boolean
default:true
invalidateCache
boolean
default:true
allowPartialSuccess
boolean

Returns status codes of 200 (complete success), 206 (some entries failed validation), 409 (all entries failed validation), or 500 (unexpected failure)

batchJobCode
string
responseFields
string

limits which fields are returned in the response body

Body

application/json
currencyCode
string
required
productCode
string
required
auditInfo
object
cost
number<double> | null
costMode
string | null
discountsRestricted
boolean | null
discountsRestrictedEndDate
string<date-time> | null
discountsRestrictedMode
string | null
discountsRestrictedStartDate
string<date-time> | null
endDate
string<date-time> | null
extraEntries
object[] | null
isVariation
boolean
map
number<double> | null
mapEndDate
string<date-time> | null
mapMode
string | null
mapStartDate
string<date-time> | null
msrp
number<double> | null
msrpMode
string | null
options
object[] | null
priceEntries
object[] | null
priceListCode
string | null

External unique identifier of the PriceList. Must be unique an only contain url sanitized characters. Max length is 50

priceListEntryMode
string | null
priceListEntrySequence
integer<int32>
priceListEntryTypeCode
string | null
productName
string | null
startDate
string<date-time> | null

Response

Success

Category

failureCount
integer<int32>
failureDetails
object[] | null
successCount
integer<int32>